summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorTitanSnow <[email protected]>2017-05-26 09:12:38 +0800
committerTitanSnow <[email protected]>2017-05-26 09:12:38 +0800
commit6ccff1694b86077b2fde8285ece0323b648afef4 (patch)
treeda3ca2ba07e0ef9a48806335a0fee27e375b6d0a /scripts
parentdeeb2ab198a1a0d4f0b732437394b318e3f39ba5 (diff)
better tip on clone fail
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/get.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/get.sh b/scripts/get.sh
index 7254eb588..773a0df10 100755
--- a/scripts/get.sh
+++ b/scripts/get.sh
@@ -78,7 +78,7 @@ then
fi
if [ 'x__local__' != "x$branch" ]
then
- git clone --depth=50 -b "$branch" "https://github.com/$mirror/xmake.git" /tmp/$$xmake_getter || my_exit 'Clone Fail'
+ git clone --depth=50 -b "$branch" "https://github.com/$mirror/xmake.git" /tmp/$$xmake_getter || my_exit "$(echo -e 'Clone Fail\nCheck your network or branch name')"
if [ x != "x$2" ]
then
cd /tmp/$$xmake_getter || my_exit 'Chdir Error'
@@ -86,7 +86,7 @@ then
cd - || my_exit 'Chdir Error'
fi
else
- cp -r "$(git rev-parse --show-toplevel 2>/dev/null || hg root 2>/dev/null || echo "$PWD")" /tmp/$$xmake_getter || my_exit 'Clone Fail'
+ cp -r "$(git rev-parse --show-toplevel 2>/dev/null || echo thisshouldnotbeafilename)" /tmp/$$xmake_getter || my_exit "$(echo -e 'Clone Fail\nLocal repo might be not found')"
fi
if [ 'x__install_only__' != "x$2" ]
then